Summary:	Graphical frontend for the mtools floppy utilities
Name:		mtoolsfm
Version:	1.9.3
Release:	3mdk
License:	GPL
Group:		File tools

Source:		http://www.core-coutainville.org/MToolsFM/archive/SOURCES/MToolsFM-1.9-3.tar.bz2
Source1:        gphoto-icons.tar.bz2

Url:		http://www.core-coutainville.org/MToolsFM/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	mtools
BuildRequires:	gtk+-devel
BuildRequires:	ImageMagick

%description

This is a file manager which allows to transfer files between storage media
accessed via the mtools and usual file systems.

It is especially useful when one has an HP multi-function device or
PhotoSmart printer with photo memory card drives, since the drives are only
accessible via mtools and not as a mountable file system.

%prep

%setup -q -n MToolsFM-1.9-3

%build

%configure

%make

# convert icons to required format
convert MToolsFM.xpm MToolsFM.png
convert MToolsFM.mini.xpm MToolsFM.mini.png
convert MToolsFM.xpm -resize 120x120 MToolsFM.large.png

%install
%makeinstall
%find_lang %{name}

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/mtoolsfm
?package(mtoolsfm):command="/usr/bin/MToolsFM" \
title="MTools File Manager" \
longtitle="File manager to access photo memory cards in HP's PhotoSmart printers and MF devices" \
needs="x11" \
section="Applications/File tools" \
icon="MToolsFM.png"
EOF

# icons
install -d $RPM_BUILD_ROOT%{_datadir}/icons
install -m 644 MToolsFM.png $RPM_BUILD_ROOT%{_datadir}/icons/
install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
install -m 644 MToolsFM.mini.png $RPM_BUILD_ROOT%{_datadir}/icons/mini/MToolsFM.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/large
install -m 644 MToolsFM.large.png $RPM_BUILD_ROOT%{_datadir}/icons/large/MToolsFM.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS
%_bindir/*
%_datadir/icons/*
%_menudir/*
%_mandir/man1/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*

%changelog
* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 1.9.3-3mdk
- Rebuild for new glibc.

* Sat Nov  9 2002 Stefan van der Eijk <stefan@eijk.nu> 1.9.3-2mdk
- BuildRequires: gtk+-devel

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.9.3-1mdk
- Initial release
